{
    onTryBoost(boost, target, source, effect) {
        if (source && target === source)
            return;
        if (boost.def && boost.def < 0) {
            delete boost.def;
            if (!effect.secondaries && effect.id !== "octolock") {
                this.add("-fail", target, "unboost", "Defense", "[from] ability: Shell Armor", "[of] " + target);
            }
        }
    },
    onCriticalHit: false,
    flags: { breakable: 1 },
    name: "Shell Armor",
    rating: 1,
    num: 75
}
